// slide3.js

$(window).ready(function() {

    var parent_window = opener;

    if (parent_window === null) {
        invalidMessage();
        return;
    }

    if (typeof parent_window.player.getQuestionAnswer !== "function" ||
        typeof parent_window.player.createComparisonChartHtml !== "function") {
        invalidMessage();
        return;
    }

    $("#comparison_chart").append(parent_window.player.createComparisonChartHtml());
    $("#question1").append(parent_window.player.getQuestionAnswer(1));
    $("#question2").append(parent_window.player.getQuestionAnswer(2));
    $("#question3").append(parent_window.player.getQuestionAnswer(3));
});

function invalidMessage() {
    $("header").remove();
    $("main").html("");
    $("main").append("<h1>Unable to open</h1>");
    $("main").append("<p>Please go back and open this window "
        + "from a link in the ACES activity.</p>");
}
